Ruby: pm_constant_path_and_write_node Struct Reference

Ruby 3.4.4p34 (2025-05-14 revision a38531fd3f617bf734ef7d6c595325f69985ea1d)

Data Fields
pm_constant_path_and_write_node Struct Reference

ConstantPathAndWriteNode. More...

`#include <ast.h>`

## Data Fields
pm_node_t | base
| The embedded base node.
struct pm_constant_path_node * | target
| ConstantPathAndWriteNode#target.
pm_location_t | operator_loc
| ConstantPathAndWriteNode#operator_loc.
struct pm_node * | value
| ConstantPathAndWriteNode#value.
Data Fields inherited from pm_node
pm_node_type_t | type
| This represents the type of the node.
pm_node_flags_t | flags
| This represents any flags on the node.
uint32_t | node_id
| The unique identifier for this node, which is deterministic based on the source.
pm_location_t | location
| This is the location of the node in the source.

## Detailed Description

ConstantPathAndWriteNode.

Represents the use of the `&&=` operator for assignment to a constant path.

    Parent::Child &&= value
    ^^^^^^^^^^^^^^^^^^^^^^^

Type: PM_CONSTANT_PATH_AND_WRITE_NODE

Definition at line 3113 of file ast.h.

## Field Documentation

## ◆ base

pm_node_t pm_constant_path_and_write_node::base

The embedded base node.

Definition at line 3115 of file ast.h.

Referenced by pm_dump_json().

## ◆ operator_loc

pm_location_t pm_constant_path_and_write_node::operator_loc

ConstantPathAndWriteNode#operator_loc.

Definition at line 3126 of file ast.h.

Referenced by pm_dump_json().

## ◆ target

struct pm_constant_path_node* pm_constant_path_and_write_node::target

ConstantPathAndWriteNode#target.

Definition at line 3121 of file ast.h.

Referenced by pm_dump_json(), pm_node_destroy(), and pm_visit_child_nodes().

## ◆ value

struct pm_node* pm_constant_path_and_write_node::value

ConstantPathAndWriteNode#value.

Definition at line 3131 of file ast.h.

Referenced by pm_dump_json(), pm_node_destroy(), and pm_visit_child_nodes().

The documentation for this struct was generated from the following file:

- prism/ast.h